body {
  margin: 0;
}

html {
  background-color: #282f44;
  background-image: linear-gradient(
    135deg,
    #e6af2ec5 0%,
    #282f44 20%,
    #0a1931 74%
  );
  height: 100vh;
  width: 100vw;
  overflow-x: hidden;
}

@keyframes symbolAnimation {
  from {
    transform: scale(1);
  }
  to {
    transform: scale(1.03);
  }
}

@keyframes idleAnimation {
  0% {
    transform: translate(0, 0);
  }
  25% {
    transform: translate(3px, 5px);
  }
  50% {
    transform: translate(-1px, 3px);
  }
  75% {
    transform: translate(-3px, -5px);
  }
  100% {
    transform: translate(0, 0);
  }
}

.title {
  display: block;
  text-align: center;
  margin-top: 7vh;
  color: #f5d061;
  animation: idleAnimation 6s linear infinite;
}

.main {
  font-size: 90px;
  margin-top: 0;
}

.title img {
  margin-bottom: -50px;
  animation: symbolAnimation 2s ease-in-out infinite alternate;
}

.sub {
  font-size: 45px;
}

.levelSelection {
  display: flex;
  justify-content: center;
  margin-top: 10vh;
}

.playButton {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 200px;
  height: 40px;
  text-align: center;
  background-image: linear-gradient(135deg, #495664 0%, #5e6f80 100%);
  border: 2px solid #f5d061;
  border-radius: 25px;
  color: white;
  text-decoration: none;
  font-size: 20px;
  transition: all 0.3s ease;
}

.playButton:hover {
  background-image: linear-gradient(145deg, #363f48 0%, #5e6f80 100%);
  border-color: #ffdb71;
  color: #f5d061;
  transform: scale(1.05) translateY(-2px);
  box-shadow: 4px 4px 15px rgba(245, 208, 97, 0.8);
}
